#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""
@Project ：dup1
@File    ：predict_test.py
@Author  ：Zhl
@Date    ：2021/9/10 5:54 下午 
"""

from dup1.metirc import metric
from dup1.predict import ReaderPredict
from dup1.readers.dsin_reader_v1 import DSINReaderV1

# time_stamp, act, storeid, event_id, cid3, pwid
input_feature = ["cid3_ph", "pwid_ph",
                 "sess_0_cid3_ph", "sess_0_pwid_ph", "sess_1_cid3_ph", "sess_1_pwid_ph",
                 "sess_2_cid3_ph", "sess_2_pwid_ph", "sess_3_cid3_ph", "sess_3_pwid_ph",
                 "sess_4_cid3_ph", "sess_4_pwid_ph", "sess_length_ph", "label_ph"]
batch_size = 256
kvargs = {"encode_idx_conf": "../data/encode_idx_conf.json"}
data_files = ["../data/000059_0.gz"]
dsin_reader = DSINReaderV1(filenames=data_files, input_feature=input_feature, batch_size=batch_size, kvargs=kvargs)
model_file_path = "../output/saved_model"
reader_predict = ReaderPredict(model_file_path)
labels, scores, i = [], [], 0
for x, y in dsin_reader:
    i = i + 1
    labels.extend(x["label_ph"])
    result = reader_predict.predict(x)
    scores.extend(result["score"])
    if i % 100 == 0:
        metric(labels, scores)
metric(labels, scores)


